Summary:	Software verification platform
Name:		why3
Version:	1.4.0
Release:	3
License:	LGPLv2 with exceptions
Group:		Applications
Source0:	https://gforge.inria.fr/frs/download.php/38425/%{name}-%{version}.tar.gz
# Source0-md5:	9755cedf1edfcacff652149783e18647
URL:		http://why3.lri.fr/
BuildRequires:	camlp5
BuildRequires:	coq >= 8.13
BuildRequires:	ocaml
BuildRequires:	ocaml-findlib-devel
BuildRequires:	ocaml-graph-devel
BuildRequires:	ocaml-lablgtk3-devel
BuildRequires:	ocaml-lablgtk3-gtksourceview-devel
BuildRequires:	ocaml-menhir-devel
BuildRequires:	ocaml-num-devel
BuildRequires:	ocaml-sqlite-devel
BuildRequires:	ocaml-zarith-devel
BuildRequires:	rubber
BuildRequires:	sqlite3-devel
%requires_eq	ocaml-runtime
# same as ocaml-zarith
ExclusiveArch:	%{ix86} %{x8664} %{arm} aarch64 ppc sparc sparcv9
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_noautoreq	ocamlx?\\\(Why3\\\)

%description
Why3 is the next generation of the Why software verification platform.
Why3 clearly separates the purely logical specification part from
generation of verification conditions for programs. It features a rich
library of proof task transformations that can be chained to produce a
suitable input for a large set of theorem provers, including SMT
solvers, TPTP provers, as well as interactive proof assistants.

%package examples
Summary:	Example problems for why3
Group:		Applications
Requires:	%{name} = %{version}-%{release}

%description examples
Example problems for why3.

%prep
%setup -q

%build
%configure \
	--enable-doc

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# Move the gtksourceview language file to the right place
install -d $RPM_BUILD_ROOT%{_datadir}/gtksourceview-3.0
%{__mv} $RPM_BUILD_ROOT%{_datadir}/%{name}/lang $RPM_BUILD_ROOT%{_datadir}/gtksourceview-3.0/language-specs

cp -a examples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGES.md README.md
%attr(755,root,root) %{_bindir}/%{name}*
%{_datadir}/%{name}
%{_datadir}/gtksourceview-3.0/language-specs/why3.lang
%{_datadir}/gtksourceview-3.0/language-specs/why3c.lang
%{_datadir}/gtksourceview-3.0/language-specs/why3py.lang
%dir %{_libdir}/%{name}
%{_libdir}/%{name}/coq
%{_libdir}/%{name}/plugins
%dir %{_libdir}/%{name}/commands
%attr(755,root,root) %{_libdir}/%{name}/commands/*.cmxs
%attr(755,root,root) %{_libdir}/%{name}/why3-call-pvs
%attr(755,root,root) %{_libdir}/%{name}/why3cpulimit
%attr(755,root,root) %{_libdir}/%{name}/why3server

%files examples
%defattr(644,root,root,755)
%{_examplesdir}/%{name}-%{version}
%changelog
* Sat Nov 20 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/why3.git;a=log;h=master

* Sat Nov 20 2021 Jan Rękorajski <baggins@pld-linux.org> b69ad0e
- rebuild with separate debuginfo build-ids

* Mon Mar 29 2021 Jan Rękorajski <baggins@pld-linux.org> d9dd4fa
- filter out private deps
- rel 2

* Mon Mar 29 2021 Jan Rękorajski <baggins@pld-linux.org> 21bfd7e
- follow ocaml-zarith builds

* Mon Mar 29 2021 Jan Rękorajski <baggins@pld-linux.org> 86ab24c
- up to 1.4.0

* Tue Jun 06 2017 Jan Rękorajski <baggins@pld-linux.org> 999402a
- updated files
- rel 1

* Tue Jun 06 2017 Jan Rękorajski <baggins@pld-linux.org> ab64736
- up to 0.87.3

* Mon Jun 05 2017 Jan Rękorajski <baggins@pld-linux.org> c69f443
- rebuild with ocaml 4.04.1
- release 6 (by relup.sh)

* Mon Mar 21 2016 Jan Rękorajski <baggins@pld-linux.org> 87c412a
- release 5 (by relup.sh)

* Sun Jul 26 2015 Jan Rękorajski <baggins@pld-linux.org> 91e5445
- release 4 (by relup.sh)

* Sun Nov 16 2014 Jan Rękorajski <baggins@pld-linux.org> 1bf0371
- rebuild with ocaml 4.02
- release 3 (by relup.sh)

* Tue May 06 2014 Jan Rękorajski <baggins@pld-linux.org> 14e3667
- fixed scripts permissions
- rel 2

* Wed Apr 30 2014 Jan Rękorajski <baggins@pld-linux.org> b27c758
- updated to 0.83

* Thu May 16 2013 Jan Rękorajski <baggins@pld-linux.org> 59fd71f
- package examples
- rel 2

* Tue May 14 2013 Jan Rękorajski <baggins@pld-linux.org> 51f94c8
- drop (x)emacs BRs

* Tue May 14 2013 Jan Rękorajski <baggins@pld-linux.org> 6c13c31
- updated BRs

* Tue May 14 2013 Jan Rękorajski <baggins@pld-linux.org> 56491d8
- new

